chineseremainder.h File Reference

Chinese Remainder Algorithm for 2 Elements. More...

`#include "givaro/givconfig.h"`
`#include "givaro/giverror.h"`
Include dependency graph for chineseremainder.h:

## Data Structures

struct | ChineseRemainder< Ring, Domain, REDUCE >
| CRA. More...
struct | ChineseRemainder< Ring, Domain, false >
| CRA2. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

Chinese Remainder Algorithm for 2 Elements.

See also
  For any number of moduli see zpz/givrns.h or zpz/givrnsfixed.h